Package plugins :: Package core :: Package bindlist :: Module main :: Class XYZPlugin

[hide private]
[frames] | no frames]

# Class XYZPlugin

source code

    libxyz.core.plugins.BasePlugin --+
                                     |
                                    XYZPlugin

Plugin bindlist

Instance Methods | [hide private]

__init__(self, xyz) | source code

show_binds(self) Show keybindings | source code

Class Variables | [hide private]

| NAME = `u"bindlist"`
| AUTHOR = `u"Max E. Kuznecov <syhpoon@syhpoon.name>"`
| VERSION = `u"0.2"`
| BRIEF_DESCRIPTION = `u"Show keybindings"`
| FULL_DESCRIPTION = `u"Plugin is used to display all current key`...``
| NAMESPACE = `u"core"`
| HOMEPAGE = `u"xyzcmd.syhpoon.name"`
| EVENTS = `[("show_binds", "Event is fired before showing dialog`...``

Class Variable Details | [hide private]

### FULL_DESCRIPTION

Value:

      u"Plugin is used to display all current keybindings " u"along with cor
      responding contextes and methods"

### EVENTS

Value:

      [("show_binds", "Event is fired before showing dialog. Receives no arg
      uments."),]